CURLOPT_USERNAME(3)

NAME
CURLOPT_USERNAME - username to authenticate with

SYNOPSIS
#include <curl/curl.h>
CURLcode curl_easy_setopt(CURL *handle, CURLOPT_USERNAME,
                          char *username);

DESCRIPTION
Pass a char * as parameter, which should be pointing to the zero terminated user name to use for the transfer. CURLOPT_USERNAME(3) sets the user name to be used in protocol authentication. You should not use this option together with the (older) CURLOPT_USERPWD(3) option. To specify the password and login options, along with the user name, use the CURLOPT_PASSWORD(3) and CURLOPT_LOGIN_OPTIONS(3) options.

DEFAULT
blank

PROTOCOLS
Most

EXAMPLE
TODO

AVAILABILITY
Added in 7.19.1

RETURN VALUE
Returns CURLE_OK if the option is supported, CURLE_UNKNOWN_OPTION if not, or CURLE_OUT_OF_MEMORY if there was insufficient heap space.

SEE ALSO
CURLOPT_USERPWD(3), CURLOPT_PASSWORD(3), CURLOPT_HTTPAUTH(3), CURLOPT_PROXYAUTH(3)